<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.ACCESS_MEDIA_LOCATION" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />

    <application
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@drawable/haus_icon"
        android:label="@string/app_name"
        android:roundIcon="@drawable/haus_icon"
        android:supportsRtl="true"
        android:theme="@style/Theme.Haussteuerung"
        tools:targetApi="31"
        android:usesCleartextTraffic="true">
        <activity
            android:name=".activityChristmas"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".noConnection"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".FileDownload"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activitySky"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activityLWP"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activityLog"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activityLicht"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activityHaus"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activityGlocke"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activityDorisLicht"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activityDoris"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".MainActivity"
            android:exported="true"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <meta-data
            android:name="com.google.firebase.messaging.default_notification_channel_id"
            android:value="@string/default_notification_channel_id" />
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_icon"
            android:resource="@drawable/haus_icon" />
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_color"
            android:resource="@color/purple_200" />

        <service
            android:name=".MyFirebaseMessagingService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
    </application>

</manifest>